MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026420Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-07-10 18:432015-10-23 20:50
Reporteragv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version32 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026420: BOPAlgo_Builder resets "Closed" flag in the result
DescriptionWhen I split a closed shape by another shape of smaller order the obtained shape is topologically closed but without the flag Closed.
Steps To Reproduce# for wire
polyline pp 0 4 0 7 4 0 7 6 0 0 6 0 0 4 0
vertex v0 5 4 0
vertex v1 4 6 0
bclearobjects
bcleartools
baddobjects v0 v1 pp
bfillds
bbuild r
explode r w
whatis r_1
# should be closed

polyline pp 0 4 0 7 4 0 7 6 0 0 6 0 0 4 0
mkplane ff pp
vertex v0 5 4 0
vertex v1 4 6 0
bclearobjects
bcleartools
baddobjects v0 v1 ff
bfillds
bbuild r
explode r w
whatis r_1
# should be closed

# for shell:
box bb 0 0 0 5 5 5
explode bb sh
polyline pp -1 -1 2 -1 6 2 6 6 2 6 -1 2 -1 -1 2
mkplane pl pp
baddobjects pl bb_1
bfillds
bbuild r
# should be closed
explode r sh
whatis r_1
TagsNo tags attached.
Test case numberbugs modalg_6 bug26420_1, bug26420_2, bug26420_3
Attached Files

- Relationships

-  Notes
(0043355)
git (administrator)
2015-07-23 17:13

Branch CR26420 has been created by emv.

SHA-1: cde736658ef63983e52e1559d68e669a050cbae6


Detailed log of new commits:

Author: emv
Date: Thu Jul 23 17:13:09 2015 +0300

    0026420: BOPAlgo_Builder resets "Closed" flag in the result
    
    Set flag Closed to new Wires and Shells created in General Fuse algorithm if necessary.
(0043356)
emv (developer)
2015-07-23 17:15

Dear Mikhail, please review the git branch CR26420.
(0043362)
msv (developer)
2015-07-23 17:48

Reviewed.
(0043587)
git (administrator)
2015-07-27 15:18

Branch CR26420 has been updated by apv.

SHA-1: bf351d96c34ce11cb1c62623c9e1c9d562163c25


Detailed log of new commits:

Author: apv
Date: Mon Jul 27 15:18:41 2015 +0300

    Test-cases for issue 0026420

(0043593)
apv (tester)
2015-07-27 15:56

Dear BugMaster,

Branch CR26420 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: cde736658ef63983e52e1559d68e669a050cbae6

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug26420_1 - OK
http://occt-tests/CR26420-master-occt-64/Debian70-64/bugs/modalg_6/bug26420_1.html [^]
http://occt-tests/CR26420-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26420_1.html [^]
bugs modalg_6 bug26420_2 - OK
http://occt-tests/CR26420-master-occt-64/Debian70-64/bugs/modalg_6/bug26420_2.html [^]
http://occt-tests/CR26420-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26420_2.html [^]
bugs modalg_6 bug26420_3 - OK
http://occt-tests/CR26420-master-occt-64/Debian70-64/bugs/modalg_6/bug26420_3.html [^]
http://occt-tests/CR26420-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26420_3.html [^]

Testing on Linux:
Total MEMORY difference: 99772377 / 99904520 [-0.13%]
Total CPU difference: 17540.549999999566 / 17412.319999999432 [+0.74%]

Testing on Windows:
Total MEMORY difference: 57609443 / 58165373 [-0.96%]
Total CPU difference: 15925.393285199012 / 16718.939171999198 [-4.75%]
(0044152)
git (administrator)
2015-08-14 10:53

Branch CR26420 has been deleted by inv.

SHA-1: bf351d96c34ce11cb1c62623c9e1c9d562163c25

- Related Changesets
occt: master c5d8782c
Timestamp: 2015-07-29 12:29:42
Author: emv
Committer: bugmaster
Details ] Diff ]
0026420: BOPAlgo_Builder resets "Closed" flag in the result

Set flag Closed to new Wires and Shells created in General Fuse algorithm if necessary.

Test-cases for issue 0026420
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.lxx Diff ] File ]
add - tests/bugs/modalg_6/bug26420_1 Diff ] File ]
add - tests/bugs/modalg_6/bug26420_2 Diff ] File ]
add - tests/bugs/modalg_6/bug26420_3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-10 18:43 agv New Issue
2015-07-10 18:43 agv Assigned To => msv
2015-07-10 18:48 msv Assigned To msv => emv
2015-07-10 18:48 msv Status new => assigned
2015-07-10 18:48 msv Target Version 7.0.0 => 7.1.0
2015-07-23 17:13 git Note Added: 0043355
2015-07-23 17:15 emv Note Added: 0043356
2015-07-23 17:15 emv Assigned To emv => msv
2015-07-23 17:15 emv Status assigned => resolved
2015-07-23 17:15 emv Steps to Reproduce Updated View Revisions
2015-07-23 17:48 msv Note Added: 0043362
2015-07-23 17:48 msv Assigned To msv => bugmaster
2015-07-23 17:48 msv Status resolved => reviewed
2015-07-24 16:50 apv Assigned To bugmaster => apv
2015-07-27 15:18 git Note Added: 0043587
2015-07-27 15:19 apv Test case number => bugs modalg_6 bug26420_1, bug26420_2, bug26420_3
2015-07-27 15:56 apv Note Added: 0043593
2015-07-27 15:56 apv Assigned To apv => bugmaster
2015-07-27 15:56 apv Status reviewed => tested
2015-07-31 12:31 bugmaster Changeset attached => occt master c5d8782c
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-07-31 14:44 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:53 git Note Added: 0044152
2015-08-26 11:04 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker